%def_without test
%define module_version 0.2.8
%define module_name Net--RabbitMQ
%def_without test
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(DynaLoader.pm) perl(ExtUtils/MakeMaker.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(Variable/Magic.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.2.8
Release: alt6
Summary: interface with RabbitMQ over AMQP
Group: Development/Perl
License: MPL
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JE/JESUS/%{module_name}-%{module_version}.tgz

%description
`Net::RabbitMQ' provides a simple wrapper around the librabbitmq library
that allows connecting, declaring exchanges and queues, binding and unbinding
queues, publishing, consuming and receiving events.

Error handling in this module is primarily achieve by Perl_croak (die). You
should be making good use of eval around these methods to ensure that you
appropriately catch the errors.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE-MPL-RabbitMQ Changes README LICENSE
%perl_vendor_archlib/N*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.2.8-alt6
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.2.8-alt5
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.2.8-alt4.1
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.2.8-alt3.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.2.8-alt3
- rebuild with perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.2.8-alt2
- rebuild to get rid of unmets

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.2.8-alt1.1
- rebuild with perl 5.22

* Mon Jan 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.2.8-alt1
- regenerated from template by package builder

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.2.7-alt2
- rebuild to get rid of unmets

* Tue May 06 2014 Igor Vlasenko <viy@altlinux.ru> 0.2.7-alt1
- regenerated from template by package builder

* Thu Apr 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.2.6-alt1
- initial import by package builder

